/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

define(['ko', 'domReady!'], function (ko) {
    'use strict';

    var customTone = ko.observable(),
        customStyle = ko.observable(),
        tonesSelected = ko.observableArray(),
        stylesSelected = ko.observable(),
        audienceSelected = ko.observableArray();

    return {
        customTone: customTone,
        customStyle: customStyle,
        tonesSelected: tonesSelected,
        stylesSelected: stylesSelected,
        audienceSelected: audienceSelected
    };
});
